using CondorMVC.Models;
using NWebsec.Mvc.HttpHeaders.Csp;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Boilerplate.Web.Mvc;
using Boilerplate.Web.Mvc.Filters;

namespace CondorMVC.Controllers
{
    [CspChildSrc(CustomSources = "*.google.com")]
    public class YearChartController : Controller
    {
        //
        // GET: /YearChart/
        public ActionResult Column()
        {
            return View();
        }

        public JsonResult GetAnnualMIData()
        {
            List<MI_by_year> sd = new List<MI_by_year>();
            using (YearChart dc = new YearChart())
            {
                sd = dc.MI_by_year.OrderBy(a => a.Year).ToList();
            }

            var chartData = new object[sd.Count + 1];
            chartData[0] = new object[]{
                    "Year",
                    "HPE",
                    "HPI",
                    "HPE/HPI"
                };
            int j = 0;
            foreach (var i in sd)
            {
                j++;
                chartData[j] = new object[] { i.Year, i.HPE, i.HPI, i.HPE_HPI };
            }

            return new JsonResult { Data = chartData, JsonRequestBehavior = JsonRequestBehavior.AllowGet };
        }
    }
}